net.returnvoid.color

## Enum ColorDifferenceMeasure

- java.lang.Object
- - java.lang.Enum<ColorDifferenceMeasure>
  - - net.returnvoid.color.ColorDifferenceMeasure

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ColorDifferenceMeasure>

      public enum ColorDifferenceMeasure
      extends java.lang.Enum<ColorDifferenceMeasure>

  A collection of valid distance measures for colors.
  Author:
    Diana Lange

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HSBCone`
    `HSBCylinder`
    `HSBEuclidean`
    `LabDeltaE`
    `LabDeltaE1994`
    `LabDeltaE2000`
    `LCHCMC`
    `LCHEuclidean`
    `RGB2R4G3B`
    `RGBEuclidean`
    `RGBMeanRed`
    `XYZEuclidean`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(ColorSpace space)` Checks if a ColorSpace is equal to a ColorDofferenceMeasure.
    `ColorSpace` | `toColorSpace()` Converts a given ColorDofferenceMeasure to its ColorSpace equivalent.
    `static ColorDifferenceMeasure` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ColorDifferenceMeasure[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RGBEuclidean

          public static final ColorDifferenceMeasure RGBEuclidean

    - #### RGB2R4G3B

          public static final ColorDifferenceMeasure RGB2R4G3B

    - #### RGBMeanRed

          public static final ColorDifferenceMeasure RGBMeanRed

    - #### HSBEuclidean

          public static final ColorDifferenceMeasure HSBEuclidean

    - #### HSBCylinder

          public static final ColorDifferenceMeasure HSBCylinder

    - #### HSBCone

          public static final ColorDifferenceMeasure HSBCone

    - #### XYZEuclidean

          public static final ColorDifferenceMeasure XYZEuclidean

    - #### LabDeltaE

          public static final ColorDifferenceMeasure LabDeltaE

    - #### LabDeltaE1994

          public static final ColorDifferenceMeasure LabDeltaE1994

    - #### LabDeltaE2000

          public static final ColorDifferenceMeasure LabDeltaE2000

    - #### LCHCMC

          public static final ColorDifferenceMeasure LCHCMC

    - #### LCHEuclidean

          public static final ColorDifferenceMeasure LCHEuclidean

  - ### Method Detail

    - #### values

          public static ColorDifferenceMeasure[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ColorDifferenceMeasure c : ColorDifferenceMeasure.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ColorDifferenceMeasure valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toColorSpace

          public ColorSpace toColorSpace()

      Converts a given ColorDofferenceMeasure to its ColorSpace equivalent. E.G. RGBEuclidean will return RGBColor, LabDeltaE will return LabColor and so on.
      Returns:
        The ColorSpace of the given ColorDofferenceMeasure.

    - #### equals

          public boolean equals(ColorSpace space)

      Checks if a ColorSpace is equal to a ColorDofferenceMeasure. They are equal if they are both members of the same color model. E.G. RGBColor will be equal to RGBMeanRed but not equal to LabDeltaE.
      Parameters:
        `space` - The ColorSpace to compare to.
      Returns:
        True if the space is equal.